/*
 *  Sobre.java
 *
 *  Copyright (C) 2010  Sérgio Lopes
 *
 *  This file is part of AgendaDB4O.
 *
 *  AgendaDB4O is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  AgendaDB4O is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with AgendaDB4O. If not, see <http://www.gnu.org/licenses/gpl.html>.
 */
package org.sergiolopes.agendabd4o;

import java.awt.event.KeyEvent;

/**
 * Janela de diálogo para mostrar informação da aplicação.
 *
 * @author Sérgio Lopes
 */
public class Sobre extends javax.swing.JDialog {

    /** Creates new form Sobre */
    public Sobre(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }

    @Override
    public void setVisible(boolean visible) {
        setLocation(getParent().getX() + (getParent().getWidth() / 2) - (getWidth() / 2),
                getParent().getY() + (getParent().getHeight() / 2) - (getHeight() / 2));

        super.setVisible(true);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jbtnFechar = new javax.swing.JButton();
        jsMainScroll = new javax.swing.JScrollPane();
        jtaSobre = new javax.swing.JTextArea();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Sobre");
        setResizable(false);
        addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                formKeyPressed(evt);
            }
        });

        jbtnFechar.setText("Fechar");
        jbtnFechar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbtnFecharActionPerformed(evt);
            }
        });

        jsMainScroll.setBorder(null);
        jsMainScroll.setOpaque(false);

        jtaSobre.setColumns(20);
        jtaSobre.setEditable(false);
        jtaSobre.setLineWrap(true);
        jtaSobre.setRows(5);
        jtaSobre.setText("Esta aplicação foi desenvolvida como exemplo para o artigo \"Introdução a Bases de Dados para Objectos\", publicado na Revista Programar. É disponibilizado sob a licença GPL e pode ser usado livremente, distrubuído e modificado, desde que  dentro dos termos da mesma licença.\n\nEsta aplicação usa o motor de bases de dados para objectos DB4O, sob a licença GPL, e alguns ícones do projecto Crystal Icons, sob a licença LGPL.\n\nCopyright (C) 2010  Sérgio Lopes\n\nAgendaDB4O is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nAgendaDB4O is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with AgendaDB4O. If not, see http://www.gnu.org/licenses/gpl.html");
        jtaSobre.setWrapStyleWord(true);
        jtaSobre.setBorder(null);
        jtaSobre.setDisabledTextColor(new java.awt.Color(0, 0, 102));
        jtaSobre.setEnabled(false);
        jtaSobre.setOpaque(false);
        jsMainScroll.setViewportView(jtaSobre);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jsMainScroll, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 493, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jbtnFechar))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jsMainScroll, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 395, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jbtnFechar)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * Permite fechar a janela quando o utilizador carrega na tecla ESCAPE.
     *
     * @param evt Informações sobre o que originou este evento de teclado.
     */
    private void formKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_formKeyPressed
        if (evt.getKeyCode() == KeyEvent.VK_ESCAPE) {
            dispose();
        }
    }//GEN-LAST:event_formKeyPressed

    private void jbtnFecharActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbtnFecharActionPerformed
        dispose();
    }//GEN-LAST:event_jbtnFecharActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jbtnFechar;
    private javax.swing.JScrollPane jsMainScroll;
    private javax.swing.JTextArea jtaSobre;
    // End of variables declaration//GEN-END:variables
}
